Page MenuHomePhabricator

Unexpanded HTML character entity references
Open, LowPublic

Description

MediaWiki is neglecting to expand certain character entity references, such as ✓.

There's a table of these in the Named character references section in the HTML spec, but it'd probably be easier to actually use the accompanying JSON file (even if that *is* generated from the HTML table for some strange reason).

Event Timeline

SamB created this task.Mar 31 2015, 7:05 PM
SamB raised the priority of this task from to Needs Triage.
SamB updated the task description. (Show Details)
SamB added a subscriber: SamB.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 7:05 PM
SamB set Security to None.
Aklapper triaged this task as Low priority.Apr 1 2015, 11:55 AM
Dvorapa added a subscriber: Dvorapa.

This is not really good, MediaWiki doesn't allow to use some of the official defined HTML 5 entities, which should be working

Wikipedia should support current HTML (which it uses itself). No one would expect that a project that, according to it's Doctype Definition uses HTML 5.2, can interpret only HTML 4.01 named entities.

Generally speaking, "me too" comments do not help but contributed patches would be very welcome to see progress here. :)

Aklapper renamed this task from Unexpanded character entity references to Unexpanded HTML character entity references.Jul 31 2019, 9:55 AM

Change 612932 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] Sanitizer should use RemexHtml entity table, instead of its own

https://gerrit.wikimedia.org/r/612932

cscott claimed this task.Aug 18 2020, 7:46 PM

Change 621062 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] WIP: Use entity list from RemexHtml

https://gerrit.wikimedia.org/r/621062

Change 612932 merged by jenkins-bot:
[mediawiki/core@master] Sanitizer: use RemexHtml entity table, instead of its own

https://gerrit.wikimedia.org/r/612932

Change 621062 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Use entity list from RemexHtml

https://gerrit.wikimedia.org/r/621062

Change 622176 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176

Change 622176 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176